Interface Technology Basics: UStringBuffer< maxSize > Class Template Reference
Author: Steinberg

Interface Technology Basics VST 3.7 SDK for developing VST plug-in

Public Member Functions | Protected Attributes | List of all members
UStringBuffer< maxSize > Class Template Reference

UTF-16 string with fixed buffer size. More...

`#include <ustring.h>`

Inheritance diagram for UStringBuffer< maxSize >:

## Public Member Functions
| UStringBuffer ()
| UStringBuffer (const char16 *src, int32 srcSize=-1)
| Construct from UTF-16 string. More...
| UStringBuffer (const char *src, int32 srcSize=-1)
| Construct from ASCII string. More...
Public Member Functions inherited from UString
| UString (char16 *buffer, int32 size)
| Construct from UTF-16 string, size is in code unit (count of char16) More...
int32 | getSize () const
| returns buffer size More...
| operator const char16 * () const
| cast to char16* More...
int32 | getLength () const
| Returns length of string (in code unit). More...
UString & | assign (const char16 *src, int32 srcSize=-1)
| Copy from UTF-16 buffer (srcSize is in code unit (count of char16)). More...
UString & | append (const char16 *src, int32 srcSize=-1)
| Append UTF-16 buffer (srcSize is in code unit (count of char16)). More...
const UString & | copyTo (char16 *dst, int32 dstSize) const
| Copy to UTF-16 buffer (dstSize is in code unit (count of char16)). More...
UString & | fromAscii (const char *src, int32 srcSize=-1)
| Copy from ASCII string (srcSize is in code unit (count of char16)). More...
UString & | assign (const char *src, int32 srcSize=-1)
const UString & | toAscii (char *dst, int32 dstSize) const
| Copy to ASCII string. More...
bool | scanInt (int64 &value) const
| Scan integer from string. More...
bool | printInt (int64 value)
| Print integer to string. More...
bool | scanFloat (double &value) const
| Scan float from string. More...
bool | printFloat (double value, int32 precision=4)
| Print float to string. More...

## Protected Attributes
char16 | data [maxSize]
Protected Attributes inherited from UString
char16 * | thisBuffer
int32 | thisSize
| size in code unit (not in byte!) More...

## Detailed Description

template<int32 maxSize>
class Steinberg::UStringBuffer< maxSize >

UTF-16 string with fixed buffer size.

## Constructor & Destructor Documentation

## ◆ UStringBuffer() [1/3]

UStringBuffer | ( |  | ) |
| inline

## ◆ UStringBuffer() [2/3]

UStringBuffer | ( | const char16 * | src,
|  | int32 | srcSize = `-1`
| ) |  |
| inline

Construct from UTF-16 string.

## ◆ UStringBuffer() [3/3]

UStringBuffer | ( | const char * | src,
|  | int32 | srcSize = `-1`
| ) |  |
| inline

Construct from ASCII string.

## Member Data Documentation

## ◆ data

char16 data[maxSize]
| protected

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.